Skip to main content

All by Predecessor

Fetch the latest values for all contracts touched by one predecessor account.

Network
FastNear API keyNo saved key
Get API key
Endpointhttps://kv.main.fastnear.com
Authnone detected
Live Response

Responses from the selected endpoint appear here after you run a request.

Live response output will appear here after you run a request.

Request reference

application/json

This operation performs POST /v0/all/{predecessor_id} with an application/json request body.

Required request inputs: yes

POST /v0/all/james.near
{
  "include_metadata": true,
  "limit": 50
}

Request body schema

objectAllRequest
include_metadataboolean

Include receipt and signer metadata in each entry.

Default: false

limitinteger
page_tokenstring

Opaque pagination cursor from a previous /v0/all/{predecessor_id} response.

Path parameters

predecessor_id *string

Response reference

200 application/json

Latest rows for the selected predecessor

Response schema

objectListResponse
requires entries
entries *array
itemsobjectKvEntry
requires predecessor_id, current_account_id, block_height, block_timestamp, key, value
action_indexinteger
block_height *integer
block_timestamp *integer
current_account_id *string
key *string
predecessor_id *string
receipt_idstring
signer_idstring
tx_hashstring
value *value

Raw JSON value as stored in FastData.

page_tokenstring

Opaque pagination cursor for the next page. Absent when there are no more results.